<?xml version="1.0" encoding="UTF-8"?>
<SOAP-ENV:Envelope 
    xmlns:SOAP-ENV='http://schemas.xmlsoap.org/soap/envelope/'
    xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance' 
    SOAP-ENV:encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" 
    xmlns:SOAP-ENC='http://schemas.xmlsoap.org/soap/encoding/' 
    xmlns:xsd='http://www.w3.org/2001/XMLSchema' 
    xmlns:xs="http://www.w3.org/2001/XMLSchema" 
    xmlns:bus='http://developer.cognos.com/schemas/bibus/3/' 
    xmlns:rns1='http://developer.cognos.com/schemas/reportService/1'>
    <SOAP-ENV:Header>
        <bus:biBusHeader xsi:type="bus:biBusHeader">
            <bus:CAM xsi:type="bus:CAM">
                <authenticityToken xsi:type="xsd:base64Binary">{{cam}}</authenticityToken>
            </bus:CAM>
            <bus:CAF xsi:type="bus:CAF">
                <contextID xsi:type="xsd:string">{{caf}}</contextID>
            </bus:CAF>
            <bus:hdrSession xsi:type="bus:hdrSession">
                <bus:formFieldVars SOAP-ENC:arrayType="bus:formFieldVar[]" xsi:type="SOAP-ENC:Array">
                    <item xsi:type="bus:formFieldVar">
                        <name xsi:type="xsd:string">_ContextBlockSize</name>
                        <value xsi:type="xsd:string">1000000</value>
                    </item>
                    <item xsi:type="bus:formFieldVar">
                        <name xsi:type="xsd:string">ignoreXHTMLStrict</name>
                        <value xsi:type="xsd:string">true</value>
                    </item>
                </bus:formFieldVars>
            </bus:hdrSession>
            <bus:userPreferenceVars SOAP-ENC:arrayType="bus:userPreferenceVar[]" xsi:type="SOAP-ENC:Array">
                <item>
                    <bus:name xsi:type="xsd:string">productLocale</bus:name>
                    <bus:value xsi:type="xsd:string">de</bus:value>
                </item>
                <item>
                    <bus:name xsi:type="xsd:string">contentLocale</bus:name>
                    <bus:value xsi:type="xsd:string">de-de</bus:value>
                </item>
            </bus:userPreferenceVars>
            <bus:dispatcherTransportVars xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="bus:dispatcherTransportVar[]">
                <item xsi:type="bus:dispatcherTransportVar">
                    <name xsi:type="xsd:string">rs</name>
                    <value xsi:type="xsd:string">true</value>
                </item>
            </bus:dispatcherTransportVars>
        </bus:biBusHeader>
    </SOAP-ENV:Header>
    <SOAP-ENV:Body>
        <rns1:run>
            <bus:objectPath xsi:type="bus:searchPathSingleObject">storeID(&quot;{{report.id}}&quot;)</bus:objectPath>
            <bus:parameterValues 
                xmlns:bus='http://developer.cognos.com/schemas/bibus/3/' 
                xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance' 
                xmlns:SOAP-ENC='http://schemas.xmlsoap.org/soap/encoding/' 
                SOAP-ENC:arrayType="bus:parameterValue[]" xsi:type="SOAP-ENC:Array">
            </bus:parameterValues>
            <bus:options SOAP-ENC:arrayType="bus:option[]" xsi:type="SOAP-ENC:Array">
                <item xsi:type="bus:genericOptionAnyURI">
                    <bus:name xsi:type="xsd:string">runOptionEnum#globalParameters</bus:name>
                    <bus:value xsi:type="xsd:string">[]</bus:value>
                </item>
                <item xsi:type="bus:asynchOptionInt">
                    <bus:name xsi:type="bus:asynchOptionEnum">primaryWaitThreshold</bus:name>
                    <bus:value xsi:type="xsd:int">500</bus:value>
                </item>
                <item xsi:type="bus:asynchOptionInt">
                    <bus:name xsi:type="bus:asynchOptionEnum">secondaryWaitThreshold</bus:name>
                    <bus:value xsi:type="xsd:int">30</bus:value>
                </item>
                <item xsi:type="bus:runOptionStringArray">
                    <bus:name xsi:type="bus:runOptionEnum">outputFormat</bus:name>
                    <bus:value xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="xsd:string[1]">
                        <item>XHTML</item>
                    </bus:value>
                </item>
                <item xsi:type="bus:asynchOptionEncoding">
                    <bus:name xsi:type="bus:asynchOptionEnum">attachmentEncoding</bus:name>
                    <bus:value xsi:type="bus:encodingEnum">MIME</bus:value>
                </item>
                <item xsi:type="bus:runOptionAnyURI">
                    <bus:name xsi:type="bus:runOptionEnum">xslURL</bus:name>
                    <bus:value xsi:type="xsd:string">V5html_viewer.xsl</bus:value>
                </item>
                <item xsi:type="bus:runOptionString">
                    <bus:name xsi:type="bus:runOptionEnum">promptFormat</bus:name>
                    <bus:value xsi:type="xsd:string">XHTMLFRGMT</bus:value>
                </item>
                <item xsi:type="bus:runOptionBoolean">
                    <bus:name xsi:type="bus:runOptionEnum">prompt</bus:name>
                    <bus:value xsi:type="xsd:boolean">{{prompt}}</bus:value>
                </item>
                <item xsi:type="bus:runOptionAnyURI">
                    <bus:name xsi:type="bus:runOptionEnum">outputLocation</bus:name>
                    <bus:value xsi:type="xsd:string">http://developer.cognos.com/ceba/constants/temporaryObjectLocationEnum#serverFileSystem</bus:value>
                </item>
                <item xsi:type="bus:runOptionData">
                    <bus:name xsi:type="bus:runOptionEnum">data</bus:name>
                    <bus:value xsi:type="bus:dataEnum">runWithAllData</bus:value>
                </item>
                <item xsi:type="bus:genericOptionBoolean">
                    <bus:name xsi:type="xsd:string">http://developer.cognos.com/ceba/constants/systemOptionEnum#accessibilityFeatures</bus:name>
                    <bus:value xsi:type="xsd:boolean">false</bus:value>
                </item>
                <item xsi:type="bus:genericOptionBoolean">
                    <bus:name xsi:type="xsd:string">http://developer.cognos.com/ceba/constants/biDirectionalOptionEnum#biDirectionalFeaturesEnabled</bus:name>
                    <bus:value xsi:type="xsd:boolean">false</bus:value>
                </item>
                <item xsi:type="bus:runOptionBoolean">
                    <bus:name xsi:type="bus:runOptionEnum">returnOutputWhenAvailable</bus:name>
                    <bus:value xsi:type="xsd:boolean">true</bus:value>
                </item>
                <item xsi:type="bus:runOptionNameValueArray">
                    <bus:name xsi:type="bus:runOptionEnum">xslParameters</bus:name>
                    <bus:value xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="bus:nameValue[]">
                        <item xsi:type="bus:nameValue">
                            <name xsi:type="xsd:string">CVGateway</name>
                            <value xsi:type="xsd:string">../v1/disp</value>
                        </item>
                        <item xsi:type="bus:nameValue">
                            <name xsi:type="xsd:string">renderIntermediateXML</name>
                            <value xsi:type="xsd:string">false</value>
                        </item>
                        <item xsi:type="bus:nameValue">
                            <name xsi:type="xsd:string">renderEnvironment</name>
                            <value xsi:type="xsd:string">false</value>
                        </item>
                    </bus:value>
                </item>
                <item xsi:type="bus:genericOptionBoolean">
                    <bus:name xsi:type="xsd:string">http://developer.cognos.com/ceba/constants/runOptionEnum#interactive</bus:name>
                    <bus:value xsi:type="xsd:boolean">true</bus:value>
                </item>
                <item xsi:type="bus:genericOptionAnyURI">
                    <bus:name xsi:type="xsd:string">http://developer.cognos.com/ceba/constants/runOptionEnum#promptXslUrl</bus:name>
                    <bus:value xsi:type="xsd:string">V5html_viewer.xsl</bus:value>
                </item>
            </bus:options>
        </rns1:run>
    </SOAP-ENV:Body>
</SOAP-ENV:Envelope>